import { BehaviorSubject, Subscription } from 'rxjs';
import { DataSource } from '@angular/cdk/table';
export declare class NtTableDataSource<T> extends DataSource<T> {
    private readonly _data;
    private readonly _renderData;
    private readonly _filter;
    _renderChangesSubscription: Subscription;
    filteredData: T[];
    data: T[];
    filter: string;
    filterPredicate: ((data: T, filter: string) => boolean);
    constructor(initialData?: T[]);
    _updateChangeSubscription(): void;
    _filterData(data: T[]): T[];
    connect(): BehaviorSubject<T[]>;
    disconnect(): void;
}
